Redmine - Feature #40149

Drop deprecated Redcarpet based Markdown formatter
2024-01-30 04:48 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed

Description

In Redmine 5.1, the Redcarpet-based Markdown formatter is deprecated and CommonMark Markdown is the default instead.

Since CommonMark Markdown has been used by users without any particular problems, | think we can discontinue the deprecated
Redcarpet-based Markdown.

Related issues:

Related to Redmine - Feature #32424: CommonMark Markdown Text Formatting Closed
Related to Redmine - Defect #41513: Error after update to revision 23153 Closed
Blocked by Redmine - Patch #40939: Add "underline" button to jsToolbar for Co... Closed

Associated revisions

Revision 23153 - 2024-10-20 09:51 - Go MAEDA
Drop deprecated Redcarpet based Markdown formatter (#40149).

Patch by Go MAEDA (user:maeda).

Revision 23154 - 2024-10-21 07:45 - Go MAEDA

Fix reference to the deleted Redcarpet-based Redmine::WikiFormatting::Markdown::HtmlParser class by porting the HtmlIParser class for the
CommonMark formatter (#40149, #41513).

Revision 23160 - 2024-10-24 08:14 - Go MAEDA
Fix failing system test for keyboard shortcuts to reflect CommonMark toolbar's output (#40149, #40939).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

Revision 23164 - 2024-10-27 06:30 - Go MAEDA

Regenerate .rubocop_todo.yml to reflect the removal of Redcarpet-based Markdown formatter in r23153 (#40149).

History

#1 - 2024-10-08 03:16 - Go MAEDA
- File 0001-Remove-Redcarpet-based-Markdown-formatter.patch added
- File 0002-Change-the-Text-formatting-setting-to-CommonMark-Mar.patch added

- Target version changed from Candidate for next major release to 6.0.0

Here are the patches.

| am setting the target version to 6.0.0.

#2 - 2024-10-09 11:30 - Go MAEDA
- Blocked by Patch #40939: Add "underline" button to jsToolbar for CommonMark Markdown formatting added

#3 - 2024-10-10 13:34 - Go MAEDA
- Related to Feature #32424: CommonMark Markdown Text Formatting added

#4 - 2024-10-10 13:41 - Go MAEDA
- File 0001-Remove-Redcarpet-based-Markdown-formatter.patch added

#5 - 2024-10-10 13:41 - Go MAEDA
- File deleted (0001-Remove-Redcarpet-based-Markdown-formatter.patch)

#6 - 2024-10-10 13:41 - Go MAEDA
- File deleted (0002-Change-the-Text-formatting-setting-to-CommonMark-Mar.patch)

#7 - 2024-10-20 09:54 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

| have committed the patch in r23153 and removed the Redcarpet-based Markdown formatter.

As a result, starting with the upcoming Redmine 6.0, Redmine will have only one Markdown formatter, CommonMark Markdown. If you have selected
"Markdown" in the "Text formatting” setting, it will be migrated to "CommonMark Markdown".

#8 - 2024-10-21 07:38 - Go MAEDA
- Related to Defect #41513: Error after update to revision 23153 added

Files

0001-Remove-Redcarpet-based-Markdown-formatter.patch 418 KB 2024-10-10 Go MAEDA

2025-05-21 22


https://www.redmine.org/projects/redmine/repository/svn/revisions/23153
http://www.tcpdf.org

